<div class="content d-flex flex-column" [ngStyle]="{'max-height': maxHeight, 'height': height}">

  <div class="h-100 d-flex flex-column">
    <div class="contact-profile border-bottom">
      <span class="contact-name p-2">{{contactName ? contactName : ''}}</span>
    </div>

    <div class="messages" #messagesContainer>
      <ul class="d-flex flex-column">
        <li *ngFor="let message of messages" [ngClass]="determineMessageClass(message)">
          <div class="d-flex flex-row" [ngClass]="determineFlexClass(message)">
            <div *ngIf="message.displayUrl" class="profile-header-container">
              <div class="avatar">
                <img src="{{message.displayUrl}}" alt=""/>
              </div>
            </div>
            <div class="d-flex flex-column">
              <div class="message-content" [innerHtml]="message.message"></div>
              <ng-container *ngIf="message.displayName; else noDisplayName">
                <span class="text-muted">{{message.displayName}} - {{message.timeStampMillis | dateTimeFromMillis:timezone}}</span>
              </ng-container>
              <ng-template #noDisplayName>
                <span class="text-muted">{{message.timeStampMillis | dateTimeFromMillis:timezone}}</span>
              </ng-template>
            </div>

          </div>
        </li>
      </ul>
    </div>
  </div>

  <div class="message-input">
    <form [formGroup]="form">
      <quill-editor
        [modules]="{toolbar: toolbar}"
        [formControlName]="'message'"
        (onContentChanged)="onContentChange($event)">
      </quill-editor>
    </form>
  </div>

</div>
